package com.ruoyi.kaohe.service;

import java.util.List;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.kaohe.domain.KhEmployee;

/**
 * 职工信息Service接口
 * 
 * @author hs
 * @date 2025-06-17
 */
public interface IKhEmployeeService 
{
    /**
     * 查询职工信息
     * 
     * @param id 职工信息主键
     * @return 职工信息
     */
    public KhEmployee selectKhEmployeeById(Long id);

    /**
     * 查询职工信息列表
     * 
     * @param khEmployee 职工信息
     * @return 职工信息集合
     */
    public List<KhEmployee> selectKhEmployeeList(KhEmployee khEmployee);

    /**
     * 新增职工信息
     * 
     * @param khEmployee 职工信息
     * @return 结果
     */
    public AjaxResult insertKhEmployee(KhEmployee khEmployee);

    /**
     * 修改职工信息
     * 
     * @param khEmployee 职工信息
     * @return 结果
     */
    public AjaxResult updateKhEmployee(KhEmployee khEmployee);

    /**
     * 批量删除职工信息
     * 
     * @param ids 需要删除的职工信息主键集合
     * @return 结果
     */
    public int deleteKhEmployeeByIds(Long[] ids);

    /**
     * 删除职工信息信息
     * 
     * @param id 职工信息主键
     * @return 结果
     */
    public int deleteKhEmployeeById(Long id);

    String importEmp(List<KhEmployee> empList, boolean updateSupport, String operName);

    AjaxResult updateKhEmployeeDocs(KhEmployee khEmployee);
}
